IPCRM(1)

NOM
ipcrm - Supprimer certaines ressources IPC

SYNOPSIS

ipcrm [options]

ipcrm [shm|msg|sem] ID ...

DESCRIPTION

ipcrm supprime des objets de communication entre processus (IPC) System V et les structures de données associées définies sur le système. Afin de les détruire, vous devez être le superutilisateur, le créateur ou le propriétaire des objets.

Les objets IPC System V sont de trois types : mémoire partagée, file de messages et sémaphores. La suppression d'une file de messages ou d'un ensemble de sémaphores est immédiate (même s'il y a des processus qui disposent d'un identificateur sur l'objet). Un segment de mémoire partagée n'est supprimé qu'à la condition que tous les processus aient détaché (shmdt(2)) l'objet de leur espace d'adressage virtuel.

Deux syntaxes sont prises en charge. La syntaxe historique sous Linux utilise un mot clef de trois lettres indiquant la classe de l'objet à supprimer, suivi d'un ou de plusieurs identificateurs d'objets IPC de ce type.

La syntaxe compatible SUS permet l'utilisation d'aucun ou de plusieurs objets des trois types en une seule ligne de commande, objets désignés par leur clef ou leur identificateur (voir ci-dessous). Les clefs et les identificateurs peuvent être indiqués en décimal, hexadécimal (commençant par « 0x » ou « 0X »), ou octal (commençant par un « 0 »).

Des précisions sur les suppressions sont décrites dans shmctl(2), msgctl(2) et semctl(2). Les identificateurs et les clefs peuvent être trouvés avec ipcs(1).

OPTIONS

-a, --all [shm] [msg] [sem]
    Supprimer toutes les ressources. Quand un argument d’option est fourni, la suppression ne concerne que les types de ressource indiqués.

    Attention, n’utilisez pas -a en cas de doute sur la façon dont le logiciel utilisant les ressources réagirait aux objets manquants. Certains programmes créent ces ressources au démarrage et pourraient ne pas avoir de code pour gérer une disparition inattendue.

-M, --shmem-key clef_shm
    Supprimer le segment de mémoire partagée créé avec clef_shm après son dernier détachement.

-m, --shmem-id id_shm
    Supprimer le segment de mémoire partagée identifié par id_shm après son dernier détachement.

-Q, --queue-key clef_msg
    Supprimer la file de messages créée avec clef_msg.

-q, --queue-id id_msg
    Supprimer la file de messages identifiée par id_msg.

-S, --semaphore-key clef_sem
    Supprimer le sémaphore créé avec clef_sem.

-s, --semaphore-id id_sem
    Supprimer le sémaphore identifié par id_sem.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

-h, --help
    Afficher l’aide-mémoire puis quitter.

NOTES

Dans sa première implémentation sous Linux, ipcrm utilisait la syntaxe, déconseillée présentée dans la deuxième ligne du SYNOPSIS. Les fonctionnalités présentes dans d'autres implémentations *nix d’ipcrm ont été ajoutées depuis, notamment la possibilité de supprimer une ressource par sa clef (et pas uniquement par son identificateur) tout en respectant la même syntaxe en ligne de commande. Pour assurer la rétrocompatibilité, la syntaxe précédente est toujours acceptée.

VOIR AUSSI

ipcmk(1), ipcs(1), msgctl(2), msgget(2), semctl(2), semget(2), shmctl(2), shmdt(2), shmget(2), ftok(3), sysvipc(7)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande ipcrm fait partie du paquet util-linux téléchargeable sur

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org>, Jean-Philippe MENGUAL <jpmengual@debian.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.